org.apache.uima.util

## Class Level

- java.lang.Object
- - org.apache.uima.util.Level

-     public class Level
      extends Object

  Provides the message level constants for logging and tracing

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Level` | `ALL` message level "ALL"
    `static int` | `ALL_INT` level value for level "ALL"
    `static Level` | `CONFIG` message level "CONFIG"
    `static int` | `CONFIG_INT` level value for level "CONFIG"
    `static Level` | `DEBUG`
    `static int` | `DEBUG_INT` level value for level "DEBUG"
    `static Level` | `ERROR`
    `static int` | `ERROR_INT` level value for level "ERROR"
    `static Level` | `FINE` message level "FINE"
    `static int` | `FINE_INT` level value for level "FINE"
    `static Level` | `FINER` message level "FINER"
    `static int` | `FINER_INT` level value for level "FINER"
    `static Level` | `FINEST` message level "FINEST"
    `static int` | `FINEST_INT` level value for level "FINEST"
    `static Level` | `INFO` message level "INFO"
    `static int` | `INFO_INT` level value for level "INFO"
    `static Level` | `OFF` message level "OFF"
    `static int` | `OFF_INT` level value for level "OFF"
    `static Level` | `SEVERE` message level "SEVERE"
    `static int` | `SEVERE_INT` level value for level "SEVERE"
    `static Level` | `TRACE`
    `static int` | `TRACE_INT` level value for level "TRACE"
    `static Level` | `WARN`
    `static int` | `WARN_INT` level value for level "WARN"
    `static Level` | `WARNING` message level "WARNING"
    `static int` | `WARNING_INT` level value for level "WARNING"

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Level(int level, String levelText)` Instantiate a new level object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `isGreaterOrEqual(Level r)` method isGreaterOrEqual() returns true if the argument level is greater or equal to the specified level.
    `boolean` | `isOn()` method isOn() returns true if the message level is not OFF
    `int` | `toInteger()` Returns the integer representation of this level.
    `String` | `toString()` Returns the string representation of this priority.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OFF_INT

          public static final int OFF_INT

      level value for level "OFF"
      See Also:
        Constant Field Values

    - #### SEVERE_INT

          public static final int SEVERE_INT

      level value for level "SEVERE"
      See Also:
        Constant Field Values

    - #### WARNING_INT

          public static final int WARNING_INT

      level value for level "WARNING"
      See Also:
        Constant Field Values

    - #### INFO_INT

          public static final int INFO_INT

      level value for level "INFO"
      See Also:
        Constant Field Values

    - #### CONFIG_INT

          public static final int CONFIG_INT

      level value for level "CONFIG"
      See Also:
        Constant Field Values

    - #### FINE_INT

          public static final int FINE_INT

      level value for level "FINE"
      See Also:
        Constant Field Values

    - #### FINER_INT

          public static final int FINER_INT

      level value for level "FINER"
      See Also:
        Constant Field Values

    - #### FINEST_INT

          public static final int FINEST_INT

      level value for level "FINEST"
      See Also:
        Constant Field Values

    - #### ALL_INT

          public static final int ALL_INT

      level value for level "ALL"
      See Also:
        Constant Field Values

    - #### ERROR_INT

          public static final int ERROR_INT

      level value for level "ERROR"
      See Also:
        Constant Field Values

    - #### WARN_INT

          public static final int WARN_INT

      level value for level "WARN"
      See Also:
        Constant Field Values

    - #### DEBUG_INT

          public static final int DEBUG_INT

      level value for level "DEBUG"
      See Also:
        Constant Field Values

    - #### TRACE_INT

          public static final int TRACE_INT

      level value for level "TRACE"
      See Also:
        Constant Field Values

    - #### OFF

          public static final Level OFF

      message level "OFF"

    - #### SEVERE

          public static final Level SEVERE

      message level "SEVERE"

    - #### ERROR

          public static final Level ERROR

    - #### WARNING

          public static final Level WARNING

      message level "WARNING"

    - #### WARN

          public static final Level WARN

    - #### INFO

          public static final Level INFO

      message level "INFO"

    - #### CONFIG

          public static final Level CONFIG

      message level "CONFIG"

    - #### FINE

          public static final Level FINE

      message level "FINE"

    - #### DEBUG

          public static final Level DEBUG

    - #### FINER

          public static final Level FINER

      message level "FINER"

    - #### TRACE

          public static final Level TRACE

    - #### FINEST

          public static final Level FINEST

      message level "FINEST"

    - #### ALL

          public static final Level ALL

      message level "ALL"

  - ### Constructor Detail

    - #### Level

          protected Level(int level,
                          String levelText)

      Instantiate a new level object.
      Parameters:
        `level` - level value
        `levelText` - level name

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### isOn

          public boolean isOn()

      method isOn() returns true if the message level is not OFF
      Returns:
        boolean true if the message level is less than OFF

    - #### isGreaterOrEqual

          public boolean isGreaterOrEqual(Level r)

      method isGreaterOrEqual() returns true if the argument level is greater or equal to the specified level.
      Parameters:
        `r` - argument level passed to the method
      Returns:
        boolean - true if argument level is greater of equal to the specified level

    - #### toString

          public final String toString()

      Returns the string representation of this priority.
      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

    - #### toInteger

          public final int toInteger()

      Returns the integer representation of this level.
      Returns:
        int - level value

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.